import { jsxs as i, jsx as t } from "react/jsx-runtime";
import { ComponentContainer as m } from "./index-ComponentContainer.js";
import { Icon as n } from "./index-Icon.js";
import { IconNames as s } from "./index-IconNames.js";
import { Text as l, TextTypes as p } from "./index-Text.js";
import "react";
import a from "./index-GeneratedWithAIPill.module.scss.js";
const u = (o) => {
  const {
    text: r,
    testId: e
  } = o;
  return i(m, {
    testId: e,
    className: a.aiPill,
    children: [t(n, {
      color: "var(--a1-500)",
      children: s.ai
    }), t(l, {
      type: p.textHelp,
      color: "var(--a1-500)",
      children: r ?? "Found by us"
    })]
  });
};
export {
  u as GeneratedWithAIPill
};
